# Uses of Class
org.apache.avro.ipc.Transceiver

Packages that use Transceiver
Package
Description
org.apache.avro.ipc
Support for inter-process calls.
org.apache.avro.ipc.generic
org.apache.avro.ipc.reflect
org.apache.avro.ipc.specific

## Uses of Transceiver in org.apache.avro.ipc

Subclasses of Transceiver in org.apache.avro.ipc
Modifier and Type
Class
Description
`class`
`DatagramTransceiver`
A datagram-based `Transceiver` implementation.
`class`
`HttpTransceiver`
An HTTP-based `Transceiver` implementation.
`class`
`LocalTransceiver`
Implementation of IPC that remains in process.
`class`
`SaslSocketTransceiver`
A `Transceiver` that uses `javax.security.sasl` for authentication and encryption.
`class`
`SocketTransceiver`
Deprecated.
use `SaslSocketTransceiver` instead.
Methods in org.apache.avro.ipc that return Transceiver
Modifier and Type
Method
Description
`static Transceiver`
Ipc.`createTransceiver(URI uri)`
Create a client `Transceiver` connecting to the provided URI.
`Transceiver`
Requestor.`getTransceiver()`
`protected Transceiver`
SaslSocketServer.`getTransceiver(SocketChannel channel)`
`protected Transceiver`
SocketServer.`getTransceiver(SocketChannel channel)`
Deprecated.
Creates an appropriate `Transceiver` for this server.
Methods in org.apache.avro.ipc with parameters of type Transceiver
Modifier and Type
Method
Description
`List<ByteBuffer>`
Responder.`respond(List<ByteBuffer> buffers, Transceiver connection)`
Called by a server to deserialize a request, compute and serialize a response or error.
Constructors in org.apache.avro.ipc with parameters of type Transceiver
Modifier
Constructor
Description
`protected`
`Requestor(org.apache.avro.Protocol local, Transceiver transceiver)`

## Uses of Transceiver in org.apache.avro.ipc.generic

Constructors in org.apache.avro.ipc.generic with parameters of type Transceiver
Modifier
Constructor
Description
``
`GenericRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver)`
``
`GenericRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver, org.apache.avro.generic.GenericData data)`

## Uses of Transceiver in org.apache.avro.ipc.reflect

Methods in org.apache.avro.ipc.reflect with parameters of type Transceiver
Modifier and Type
Method
Description
`static <T> T`
ReflectRequestor.`getClient(Class<T> iface, Transceiver transceiver)`
Create a proxy instance whose methods invoke RPCs.
`static <T> T`
ReflectRequestor.`getClient(Class<T> iface, Transceiver transceiver, org.apache.avro.reflect.ReflectData reflectData)`
Create a proxy instance whose methods invoke RPCs.
Constructors in org.apache.avro.ipc.reflect with parameters of type Transceiver
Modifier
Constructor
Description
``
`ReflectRequestor(Class<?> iface, Transceiver transceiver)`
``
`ReflectRequestor(Class<?> iface, Transceiver transceiver, org.apache.avro.reflect.ReflectData data)`
`protected`
`ReflectRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver)`
``
`ReflectRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver, org.apache.avro.reflect.ReflectData data)`

## Uses of Transceiver in org.apache.avro.ipc.specific

Methods in org.apache.avro.ipc.specific with parameters of type Transceiver
Modifier and Type
Method
Description
`static <T> T`
SpecificRequestor.`getClient(Class<T> iface, Transceiver transceiver)`
Create a proxy instance whose methods invoke RPCs.
`static <T> T`
SpecificRequestor.`getClient(Class<T> iface, Transceiver transceiver, org.apache.avro.specific.SpecificData data)`
Create a proxy instance whose methods invoke RPCs.
Constructors in org.apache.avro.ipc.specific with parameters of type Transceiver
Modifier
Constructor
Description
``
`SpecificRequestor(Class<?> iface, Transceiver transceiver)`
``
`SpecificRequestor(Class<?> iface, Transceiver transceiver, org.apache.avro.specific.SpecificData data)`
`protected`
`SpecificRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver)`
``
`SpecificRequestor(org.apache.avro.Protocol protocol, Transceiver transceiver, org.apache.avro.specific.SpecificData data)`